#
# spec file for package ruby-fcgi (Version 0.8.7)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild FastCGI FastCGI-devel aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt rpm ruby ruby-devel sed sysvinit tar texinfo timezone util-linux zlib

Name:		ruby-fcgi
Version:	0.8.7
Release:	1
Group:		Development/Languages/Ruby
License:	Other uncritical OpenSource License
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url:		http://sugi.nemui.org/prod/ruby-fcgi/
Source:		http://rubyforge.org/frs/download.php/11368/%{name}-%{version}.tar.gz
Summary:        FastCGI bindings for ruby

BuildRequires:	FastCGI-devel ruby-devel

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific
APIs. This package provides bindings for the ruby language.

%prep
%setup

%build
ruby install.rb config
ruby install.rb setup

%install
ruby install.rb install --prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README* ChangeLog
%_libdir

%changelog
* Tue Sep 23 2008 Christian Wasem <wasem@ccux-linux.de> 0.8.7-1
- Initial release
